Index: trunk/packages/sipb-xen-base/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-base/debian/changelog	(revision 701)
+++ trunk/packages/sipb-xen-base/debian/changelog	(revision 702)
@@ -1,2 +1,8 @@
+sipb-xen-base (8.3) unstable; urgency=low
+
+  * add invirt-reload to regenerate and reload configs
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:35:42 -0400
+
 sipb-xen-base (8.2) unstable; urgency=low
 
Index: trunk/packages/sipb-xen-base/files/usr/sbin/invirt-reload
===================================================================
--- trunk/packages/sipb-xen-base/files/usr/sbin/invirt-reload	(revision 702)
+++ trunk/packages/sipb-xen-base/files/usr/sbin/invirt-reload	(revision 702)
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+for script in $(run-parts --test /etc/init.d); do
+    if [ "${script#/etc/init.d/sipb-xen-}" != "$script" \
+        -o "${script#/etc/init.d/invirt-}" != "$script" ]; then
+	"$script" reload
+    fi
+done
Index: trunk/packages/xvm-devconfig/debian/changelog
===================================================================
--- trunk/packages/xvm-devconfig/debian/changelog	(revision 701)
+++ trunk/packages/xvm-devconfig/debian/changelog	(revision 702)
@@ -1,2 +1,8 @@
+xvm-devconfig (0.2) unstable; urgency=low
+
+  * Add postinst to reload config.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:38:59 -0400
+
 xvm-devconfig (0.1) unstable; urgency=low
 
Index: trunk/packages/xvm-devconfig/debian/xvm-devconfig.postinst
===================================================================
--- trunk/packages/xvm-devconfig/debian/xvm-devconfig.postinst	(revision 702)
+++ trunk/packages/xvm-devconfig/debian/xvm-devconfig.postinst	(revision 702)
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script
+#
+# see: dh_installdeb(1)
+
+set -e
+set -x
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	/usr/sbin/invirt-reload
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
